Wrong Ceph storage size in GUI

Discussion in 'Proxmox VE: Installation and configuration' started by Maksym, Aug 13, 2018.

  1. Maksym

    Maksym New Member

    Joined:
    Sep 3, 2017
    Messages:
    2
    Likes Received:
    0
    HI, i have cluster with 5 server with ceph.

    Ceph cluster was installed on proxmox 5.0 and after some time proxmox was updated to 5.2.

    One of the thing what change this is that after update ti 5.2 ceph storage device in inventory start show not RAW space, but already useful space (divided for replication factor, in my case 3)

    But after i add additional OSD in CEPH pool the size of storage device in inventory still same, but in CEPH section it show all correct.

    How i can update or correct storage size?

    Code:
    root@proxmox01:~# ceph status -v
    ceph version 12.2.5 (dfcb7b53b2e4fcd2a5af0240d4975adc711ab96e) luminous (stable)
    Code:
    root@proxmox01:~# ceph status
      cluster:
        id:     12f9aed6-7920-49ce-97c1-7731c5f20754
        health: HEALTH_OK
     
      services:
        mon: 3 daemons, quorum proxmox01,proxmox02,proxmox03
        mgr: proxmox01(active), standbys: proxmox02, proxmox03
        osd: 8 osds: 8 up, 8 in
     
      data:
        pools:   1 pools, 128 pgs
        objects: 95863 objects, 373 GB
        usage:   1132 GB used, 760 GB / 1893 GB avail
        pgs:     128 active+clean
     
      io:
        client:   4393 B/s rd, 356 kB/s wr, 0 op/s rd, 17 op/s wr
     
    root@proxmox01:~# 

    upload_2018-8-13_15-4-35.png

    upload_2018-8-13_15-4-56.png

    upload_2018-8-13_15-5-29.png

    upload_2018-8-13_15-6-4.png

    Correct value should be 1893/3=631 but it 516.20

    Code:
    root@proxmox01:~# pveversion -v
    proxmox-ve: 5.2-2 (running kernel: 4.15.18-1-pve)
    pve-manager: 5.2-5 (running version: 5.2-5/eb24855a)
    pve-kernel-4.15: 5.2-4
    pve-kernel-4.13: 5.2-2
    pve-kernel-4.15.18-1-pve: 4.15.18-15
    pve-kernel-4.13.16-4-pve: 4.13.16-51
    pve-kernel-4.13.16-2-pve: 4.13.16-48
    pve-kernel-4.13.8-3-pve: 4.13.8-30
    pve-kernel-4.10.17-3-pve: 4.10.17-23
    pve-kernel-4.10.17-2-pve: 4.10.17-20
    ceph: 12.2.5-pve1
    corosync: 2.4.2-pve5
    criu: 2.11.1-1~bpo90
    glusterfs-client: 3.8.8-1
    ksm-control-daemon: 1.2-2
    libjs-extjs: 6.0.1-2
    libpve-access-control: 5.0-8
    libpve-apiclient-perl: 2.0-5
    libpve-common-perl: 5.0-35
    libpve-guest-common-perl: 2.0-17
    libpve-http-server-perl: 2.0-9
    libpve-storage-perl: 5.0-24
    libqb0: 1.0.1-1
    lvm2: 2.02.168-pve6
    lxc-pve: 3.0.0-3
    lxcfs: 3.0.0-1
    novnc-pve: 1.0.0-1
    proxmox-widget-toolkit: 1.0-19
    pve-cluster: 5.0-28
    pve-container: 2.0-24
    pve-docs: 5.2-4
    pve-firewall: 3.0-13
    pve-firmware: 2.0-5
    pve-ha-manager: 2.0-5
    pve-i18n: 1.0-6
    pve-libspice-server1: 0.12.8-3
    pve-qemu-kvm: 2.11.2-1
    pve-xtermjs: 1.0-5
    qemu-server: 5.0-29
    smartmontools: 6.5+svn4324-1
    spiceterm: 3.0-5
    vncterm: 1.5-3
    zfsutils-linux: 0.7.9-pve1~bpo9
     
    #1 Maksym, Aug 13, 2018
    Last edited: Aug 13, 2018
  2. Alwin

    Alwin Proxmox Staff Member
    Staff Member

    Joined:
    Aug 1, 2017
    Messages:
    1,629
    Likes Received:
    140
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice